Bug 433940 - TAHI--core protocol--When having a test about RFC2462, the test case about "40 Part B: Prefix Lifetime greater than 2 hours" fail.
TAHI--core protocol--When having a test about RFC2462, the test case about "4...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
high Severity medium
: rc
: ---
Assigned To: Thomas Graf
Martin Jenner
:
Depends On:
Blocks: 253764
  Show dependency treegraph
 
Reported: 2008-02-22 04:41 EST by Zhiyong Wu
Modified: 2014-06-18 04:29 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 10:23:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Result of Stateless Address Configuration, #40 (35.22 KB, text/html)
2008-04-06 21:18 EDT, Mitsuru Chinen
no flags Details

  None (edit)
Description Zhiyong Wu 2008-02-22 04:41:13 EST
Description of problem:
  
  When we have tests about "RFC 2462 - IPv6 Stateless Address Autoconfiguration" 

by IPv6 test suite from TAHI and NUT is set to be the host mode, we found a 

failing test about "40	Part B: Prefix Lifetime greater than 2 hours".For more 

detaily information ,please refer to "Additional info".

Version-Release number of selected component (if applicable):

  kernel-2.6.18-79.el5

Software Environment:   
  
  Testee(NUT):   
    RHEL5.2 
    Kernel:2.6.18-79.el5 
   
  Tester(TN):   
    FreeBSD6.2 
   
How reproducible:

  every time

Steps to Reproduce:

  1. Configure TAHI test environment.     
  2. Run the TAHI test suite     
  3. After the test completes, check for the results
  
Actual results:

  test result "NG".

Expected results:

  test result "PASS".

Additional info:

Note: IPv6 Ready Logon Phase-2 and NUT is set to be the host mode.
 
For more information,please refer to

http://focus.brisbane.redhat.com/~zwu/RHEL5.2-Server-20080212.0/20080220/Self_Test_1-4-10/addr.p2/40.html

BTW:

http://focus.brisbane.redhat.com/~zwu/RHEL5.2-Server-20080212.0/20080220/Self_Test_1-4-10/index.html
Comment 1 Zhiyong Wu 2008-02-22 04:51:01 EST
the self_test package is Self_Test_1-4-10
Comment 2 Subhendu Ghosh 2008-02-24 15:26:54 EST
Zhiyong - might want to rerun the test to see if it a test artifact.

Use the latest Self Test 1.4.11, I see no issues with -79

http://athlon4.lab.boston.redhat.com/RHEL5.2-candidate/kernel-xen-2.6.18-79/Self_Test_1-4-11/addr.p2/index.html
Comment 3 Lawrence Lim 2008-02-29 09:49:58 EST
Suspect could be hardware issue. Need to rerun against another machine to confirm.
Comment 4 Zhiyong Wu 2008-03-21 09:04:10 EDT

(1) kernel is kernel-2.6.18-85.el5.i386, this case FAIL

http://focus.bne.redhat.com/~yshang/RHEL520313/i386noxen/20080317/Self_Test_1-4-13/addr.p2/index.html
Comment 5 Zhiyong Wu 2008-03-21 09:17:59 EDT
(1) kernel is kernel-2.6.18-85.el5.i386, this case FAIL

http://focus.bne.redhat.com/~yshang/RHEL520313/i386noxen/20080317/Self_Test_1-4-13/addr.p2/40.html

(2) kernel is kernel-2.6.18-85.el5.i386xen, this case FAIL

http://focus.bne.redhat.com/~yshang/RHEL520313/i386xen/20080319/Self_Test_1-4-13/addr.p2/40.html

(3) kernel is kernel-2.6.18-85.el5.x86_64, this case FAIL

http://focus.bne.redhat.com/~yshang/RHEL520313/x86_64_noxen/20080318/Self_Test_1-4-13/addr.p2/40.html
Comment 6 Irina Boverman 2008-03-27 15:09:15 EDT
Added pm ack (we need a fix to pass certification test).
Comment 7 Lawrence Lim 2008-04-04 09:40:21 EDT
Chinen-san,
Have you seen this failure in your most recent run?
Comment 8 Mitsuru Chinen 2008-04-06 21:18:30 EDT
Created attachment 301453 [details]
Result of Stateless Address Configuration, #40

No, I haven't seen a failure on this test.
The attached result is on RHEL5.2-snapshot3(kernel 2.6.18-87.el5) by SelfTest
1.4.13.
Comment 10 Linda Wang 2008-04-10 10:23:12 EDT
per comment#8, close as NOTABUG

Note You need to log in before you can comment on or make changes to this bug.